#ifndef _sio_h
#define _sio_h

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <termios.h>
#include <errno.h>
#include <stdio.h>

void sio_open(dcont_t *d_cont);
void sio_close(dcont_t *d_cont);
void sio_input_purge(dcont_t *d_cont);
void sio_rts_set(dcont_t *d_cont, int val);
void sio_dtr_set(dcont_t *d_cont, int val);
int  sio_write(dcont_t *d_cont, char *buf, int len);
int sio_read(dcont_t *d_cont, char *buf, int len);
void sio_block_set(dcont_t *d_cont,int bOn);
void sio_sync(dcont_t *dcont);
char *sio_gets(dcont_t *dcont, char *buf, int buflen);
char *sio_cmd(dcont_t *dcont,const char *cmd, ...)
     __attribute__ ((format (printf,2,3)));

#endif /* _sio_h */
